Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# OgreRefApp Namespace Reference

## Compounds

class | ApplicationObject
| This object is the base class for all discrete objects in the application. More...
struct | CollisionInfo
| Contains information about a collision; used in the _notifyCollided call. More...
class | Ball
class | BallJoint
| Implementation of ball joint. More...
class | Box
class | CollideCamera
| A camera which can interact with the world. More...
class | FinitePlane
class | Hinge2Joint
| Implementation of hinge2 joint. More...
class | HingeJoint
| Implementation of hinge joint. More...
class | Joint
| Represents a linkage between application objects or between them and the world, enforcing certain constraints. More...
class | OgreHead
class | SliderJoint
| Implementation of slider joint. More...
class | UniversalJoint
| Implementation of universal joint. More...
class | World

## Functions

void | OgreToOde (const Matrix3 &ogre, dMatrix3 &ode)

## Function Documentation

void OgreToOde | ( | const Matrix3 & | ogre,
|  | dMatrix3 & | ode
| ) |

| Definition at line 55 of file OgreRefAppPrerequisites.h. Referenced by OgreRefApp::ApplicationObject::setMassBox(), OgreRefApp::ApplicationObject::setMassCappedCylinder(), and OgreRefApp::ApplicationObject::setMassExpert().

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:51:55 2004